<?php

// -----------------------------------------------------//
// EscoitarGZtags                                       //
// hack para integrar googlemaps en Loudblog	        //
// Version Beta0.3 (14-04-2006)							// 
// http://www.escoitar.org								//
//                                                  	//
// Written by VHPhacklab (www.vhplab.net) 			 	//
// in association with Longina (www.longina.com) & Berio//
// (www.alg-a.com/org_berio)							//
//                                              		//
// Released under the Gnu General Public License   		//
// http://www.gnu.org/copyleft/gpl.html            		//
//                                                 		//
// Disfrutadeo! para calquera comentario sobre o cdigo	//
// non duvidedes en escribir a horaciogd@vhplab.net		//
// -----------------------------------------------------//

//--------------------------------------------------------------------
//  IMG FUNCTIONS
//-------------------------------------------------------------------- 

//-------------------------------------
function checkimgsuffix ($file) {
$suffix = strtoupper(strrchr($file, "."));
if (
    ($suffix == ".JPG") OR
    ($suffix == ".PNG") OR
    ($suffix == ".GIF") OR
    ($suffix == ".TIF") OR
    ($suffix == ".BMP") OR
    ($suffix == ".RAW")
    ) { 
    return true; 
} else { return false; }
}
//-------------------------------------
function freshimgname ($suffix, $prefix) {
	//build a new filename for the audio file
	if ((!isset($suffix)) OR (trim($suffix) == "")) { 
		$suffix = ".jpg";
	}
	$daysec = 10000 + date("G")*3600 + date("i")*60 + date("s");
	$filename = $prefix."-".date("Y-m-d-").$daysec.$suffix;
	return $filename;
}
//-------------------------------------
function reduceFoto ($nombre, $ancho, $alto) {

	//Separamos la extension del nombre
	$tipo = substr($nombre,-3);
	$nombreSimple = substr($nombre, 0, -4);
	$base = "../upload/imaxes/";

	//creamos una imagen en funcion del tipo de imagen que recibimos
	switch ($tipo) {
		case "jpg":
			$im1=imagecreatefromjpeg("../upload/imaxes/".$nombre);
			break;
		case "gif":
			$im1=imagecreatefromgif("../upload/imaxes/".$nombre);
			break;
		case "png":
			$im1=imagecreatefrompng("../upload/imaxes/".$nombre);
			break;
		default:
			return;  
			//o mostrar predeterminada
	}

	$tam = GetImageSize("../upload/imaxes/".$nombre);
	$ancho_imagen = $tam[0];
	$alto_imagen = $tam[1];

	$imageprop = 1;
	$imageproph = 1;

	if ($ancho_imagen > $ancho) $imageprop=$ancho/$ancho_imagen;
	if ($alto_imagen > $alto) $imageproph=$alto/$alto_imagen;
	if ( $imageprop>$imageproph) $imageprop=$imageproph;


	$imagen_hor_tam= ceil($ancho_imagen*$imageprop);
	$imagen_ver_tam=ceil($alto_imagen*$imageprop);


	$im=imagecreate($imagen_hor_tam, $imagen_ver_tam);
	ImageInterlace($im,1);
	imagecopyresized($im, $im1, 0, 0, 0, 0, $imagen_hor_tam, $imagen_ver_tam, ImageSX($im1), ImageSY($im1));

	if ($im) {
		Imagejpeg($im, "../upload/imaxes/mini_".$nombreSimple.".jpg");
	}

}
//--------------------------------------------------------------------
//  GOOGLEMAP TAGS
//-------------------------------------------------------------------- 

//-------------------------------------
function googlemapkeygz ($content) {
//devuelve la clave de googlemaps
	return googlemapkey ();
}
//--------------------------------------------------------------------
//  XML TAGS
//-------------------------------------------------------------------- 
//----LEER BD Y ESCRIBIR XML-----------
//-------------------------------------
function read_write($condiciones, $limit, $xml) {
	global $settings;
	//Buscamos los comentarios que cumplen las condiciones limitando el numero de resultados a un total de 200 (probablemente tambien sera necesario que esten ordenados empezando por el mas reciente)
    $dosql = "SELECT * FROM ".$GLOBALS['prefix']."lb_comments
              WHERE ".$condiciones."
              LIMIT 0 , ".$limit;
    $result = $GLOBALS['lbdata']->GetArray($dosql);
    $rowcount = count($result);
		
    //Almacenamos los datos de la BD en un documento xml
    // si logramos crear un documento para escribir en el 
	if ($documento = fopen($xml, "w")){
		//comenzamos a almacenar el contenido del documento html en la variable texto
		// Cabecera
		$texto = "<markers>\n";
		//convertimos en Markers los comentarios seleccionados de la BD
		for ($i=0; $i<$rowcount; $i++) {
			//almacenamos los datos le la tabla comentarios en variables para poder utilizarlos en el documento XML
			$id = $result[$i]['id'];
			$autor = htmlspecialchars ($result[$i]['name']);
			$web = $result[$i]['web'];
			$webName = substr($web, 7);
			$lat = $result[$i]['latitud'];
			$long = $result[$i]['longitud'];
			$mensaje = htmlspecialchars ($result[$i]['message_input']);
			$hora = $result[$i]['hora_rec'];
			$data = $result[$i]['data_rec'];
			$swf = $result[$i]['audio_file'];
			$img = $result[$i]['img_file'];
			$categoria = $result[$i]['idcategoria'];
			//para cada comentario alacenado en la tabla creamos un marcador con los datos guardados en sus atributos
			$texto .= "<marker id=\"".$id."\" lat=\"".$lat."\" lng=\"".$long."\" categoria=\"".$categoria."\" arquivo=\"".$settings['url']."audio/".$swf."\" ";
			if ($result[$i]['img_file'] != null) {
				$texto .= "img=\"".$img."\" ";
			}	
			$texto .= "texto=\"".$mensaje."\" autor=\"".$autor."\" urlweb=\"".$web."\" web=\"".$webName."\" hora=\"".$hora."\" fecha=\"".$data."\">\n";
			$texto .= "</marker>\n";
		}
		$texto = $texto."</markers>\n";
		//escribimos en el documento el contenido de la variable texto
		fwrite($documento, $texto);
	}
	// cerramos el documento
	fclose($documento);
}
//--------------------------------------------------------------------
//  FORM TAGS
//-------------------------------------------------------------------- 
//-----FORMULARIO BUSCASONS------------
//-------------------------------------
function area_buscasons($content) {
	//Si el campo oculto buscasonsSubmit esta establecido, entonces estamos enviando datos y debemos escribir el documento xml que contendra el resultado de la busqueda
	if (isset($_POST['buscasonsSubmit'])) {
	
		//establecemos las condiciones de la seleccion en la BD
		
		//Si esta establecido que provincia buscamos solo las entradas de la BD que con la misma idprovincia
		$condiciones = "";
		if ((isset($_POST['provincias'])) AND ($_POST['provincias'] != 0)){
			$condiciones .= "idprovincia = '".$_POST['provincias']."'";
		//Si no cualquiera cuya idprovincia sea distinto de 0
		} else {
			$condiciones .= "idprovincia != '0'";
		}
		
		//Si esta establecido que comarca buscamos solo las entradas de la BD que con la misma idcomarca
		if ((isset($_POST['comarcas'])) AND ($_POST['comarcas'] != 0)){
			$condiciones .= " AND idcomarca = '".$_POST['comarcas']."' ";
		}
		
		//Si esta establecido que categoria buscamos solo las entradas de la BD que con la misma idcategoria
		if ((isset($_POST['categorias'])) AND ($_POST['categorias'] != 0)){
			$condiciones .= " AND idcategoria = '".$_POST['categorias']."' ";
		}
		
		//Si esta establecida unha clave de busqueda y su longitud es mayor que 0, buscamos solo las entradas de la BD que tengan esa clave en message_input
		if ((isset($_POST['claveBusqueda'])) AND (strlen($_POST['categorias']) != 0)){
			$condiciones .= " AND message_input LIKE '%".$_POST['claveBusqueda']."%'";			
		}
		
		$condiciones .= " AND validado = '2'";
		
    	//Almacenamos los datos de la BD en un documento xml
    	read_write($condiciones, "100", "sonsGZ.xml");
    }
    $return = "<form name=\"formulario\" method=\"post\" action=\"index.php?\" enctype=\"multipart/form-data\">\n";
    $return .= fullparse (stripcontainer($content));
    $return .= "</form>\n";
	return $return;
}
//-----GOOGLEMAP-----------------------
//-------------------------------------
function sound_map($content) {
	global $settings;
	global $arrayIdcategorias;	
	//recojemos los atributos de la etiqueta, si estan definidos se los pasamos a sus correspondientes variables si no tomamos valores por defecto
	//ancho, alto, lat, long, zoom, clase, xml (buscasons)
	$att = getattributes($content);
	
	//ATRIBUTODS DE LA ETIQUETA-------------------
	if (!isset($att['ancho'])) {
        $ancho = 550;
    } else {
        $ancho = $att['ancho'];
    }
    if (!isset($att['alto'])) {
        $alto = 450;
    } else {
        $alto = $att['alto'];
    }
    if (!isset($att['id'])) {
        $id = "map";
    } else {
        $id = $att['id'];
    }
    //almacenamos en una variable la etiqueta html apropiada
    $mapDiv = "<div id=\"".$id."\" name=\"".$id."\" style=\"width: ".$ancho."px; height: ".$alto."px\"></div>\n";
    
    //ATRIBUTODS DEL GOOHGLEMAP-------------------
    if (!isset($att['lat'])) {
        $lat = -8.72687816619873;
    } else {
        $lat = $att['lat'];
    }
    if (!isset($att['lonx'])) {
        $long = 42.23302960453305;
    } else {
        $long = $att['lonx'];
    }
	if (!isset($att['zoom'])) {
        $zoom = 8;
    } else {
        $zoom = $att['zoom'];
    }
	if (!isset($att['clase'])) {
        $clase = "G_MAP_TYPE";
    } else {
    	if ($att['clase'] == "g_hybrid_type") {
        	$clase = "G_HYBRID_TYPE";
    	} elseif ($att['clase'] == "g_satellite_type") {
        	$clase = "G_SATELLITE_TYPE";
    	} else {
        	$clase = "G_MAP_TYPE";
    	}
    }
    if ((isset($_GET['cat'])) && (isset($att['global']))) {
        if ($att['global'] == "false") {
        	$att['xml'] = $settings['url']."xml/cat".getcategoryidshort($_GET['cat']).".xml";
    	}
    }
    //almacenamos en una variable el fragmento de script que genera el mapa
    $map = "// create the map
      var map = new GMap(document.getElementById(\"map\"));
      map.addControl(new GLargeMapControl());
      map.addControl(new GMapTypeControl());
      map.centerAndZoom(new GPoint(".$lat.",".$long."), ".$zoom.");
      map.setMapType(".$clase.");";
      
    //DOCUMENTO DEL QUE SE RECOJEN LOS DATOS------
    if (!isset($att['xml'])) {
        //mapa sin marcadores
        $readData = "";
    } else {
    	if ($att['xml']=="buscasons") {
    		//cuando el atributo xml es buscasons entonces el mapa recoge o bien sonsGZ.xml si ya se ha buscado o ultimosSons.xml si todavia no se ha buscado
			if (isset($_POST['buscasonsSubmit'])) {
				//Si buscasonsSubmit esta establecido, entonces ya se ha actualizado el documento xml que contiene el resultado de la busqueda, recojemos los datos de sonsGZ.xml
				$xml = $settings['url']."sonsGZ.xml";
			} else {
				// si no se han enviado todavia los datos del formulario de busqueda mostramos los ultimos comentarios subidos
				$xml = $settings['url']."ultimosSons.xml";
			}
    	} else {
        	$xml = $att['xml'];
    	}
    	//almacenamos en una variable el fragmento de script que hace la lectura de los datos
    	$readData ="// Read the data from example.xml
    //recollemos nuha variable todos os marcadores
      var gmarkers = [];
      var htmls = [];
      
      var request = GXmlHttp.create();
      request.open(\"GET\", \"".$xml."\", true);
      request.onreadystatechange = function() {
        if (request.readyState == 4) {
          var xmlDoc = request.responseXML;
          // obtain the array of markers and loop through it
          var markers = xmlDoc.documentElement.getElementsByTagName(\"marker\");
          
          for (var i = 0; i < markers.length; i++) {
            // obtain the attribues of each marker
            var id = parseFloat(markers[i].getAttribute(\"id\"));
            var lat = parseFloat(markers[i].getAttribute(\"lat\"));
            var lng = parseFloat(markers[i].getAttribute(\"lng\"));
            var cat = parseFloat(markers[i].getAttribute(\"categoria\"));
            var son = markers[i].getAttribute(\"arquivo\");
            //var img = markers[i].getAttribute(\"img\");
            var weburl = markers[i].getAttribute(\"urlweb\");
            
            var html = \"<div style='width:200px'>\";
			html += \"<div id='player' style='margin-bottom: 5px;'></div>\";
			html += \"<span class='windowText'>\"
			html += markers[i].getAttribute(\"texto\");
			html += \"</span>\";
			if (markers[i].getAttribute(\"img\")) {
				html += \"<br><br><a href='".$settings['url']."upload/imaxes/\";
				html += markers[i].getAttribute(\"img\");
				html += \"' target='_blank'><img src='".$settings['url']."upload/imaxes/mini_\";
				html += markers[i].getAttribute(\"img\");
				html += \"' border='0' height='60'></a>\"
			}
			html += \"<br>\";
			html += \"<b class='windowBlack'>\";
			html += markers[i].getAttribute(\"autor\");
			html += \"</b>&nbsp;&nbsp;&nbsp;\";
			
			if (weburl.length>4) {
				html += \"<a class='window' target='_blank' href='\";
				html += markers[i].getAttribute(\"urlweb\");
				html += \"'>\";
				html += markers[i].getAttribute(\"web\");
				html += \"</a><br>\";
			}
			
			html += \"<span class='windowRight'><b>as \";
			html += markers[i].getAttribute(\"hora\");
			html += \" do \";
			html += markers[i].getAttribute(\"fecha\");
			html += \"</b></span><br>\";
			html += \"<br>\";
			html += \"</div>\";

			//asignamos el icono que le corresponde a su categoria
            var icono_categoria = conxunto_iconos[cat];
            		
            var point = new GPoint(lat,lng);
            		
            // create the marker
            var marker = createMarker(point, html, icono_categoria, son);
            map.addOverlay(marker);
            //na posicion i do array gmarkers recollemos o marcador
            gmarkers[id] = marker;
        	htmls[id] = html;
          }
        }
      };
      request.send(null);";
    }
    //finalmente devolvemos la etiqueta y el script completo que genera el mapa
	$mapScript = $mapDiv."<script type=\"text/javascript\">
    //<![CDATA[
    if (GBrowserIsCompatible()) {
      // Creamos los icomos como elementos de un Array
	  var conxunto_iconos = new Array();
	  for (var i = 0; i < ".count($arrayIdcategorias)."; i++) {
		conxunto_iconos[arrayIdcategorias[i]] = new GIcon();
		conxunto_iconos[arrayIdcategorias[i]].image = \"".$settings['url']."loudblog/custom/templates/".$settings['template']."/icono\" + arrayIdcategorias[i] + \".png\";
		conxunto_iconos[arrayIdcategorias[i]].shadow = \"".$settings['url']."loudblog/custom/templates/".$settings['template']."/shadow.png\";
		conxunto_iconos[arrayIdcategorias[i]].iconSize = new GSize(12, 20);
		conxunto_iconos[arrayIdcategorias[i]].shadowSize = new GSize(22, 20);
		conxunto_iconos[arrayIdcategorias[i]].iconAnchor = new GPoint(6, 20);
		conxunto_iconos[arrayIdcategorias[i]].infoWindowAnchor = new GPoint(5, 1);
	  }
	  // This function picks up the click and opens the corresponding info window
      function myclick(i) {
        gmarkers[i].openInfoWindowHtml(htmls[i]);
      }
	  ".$map."
	  ".$readData."
    } else {
      alert(\"Sorry, the Google Maps API is not compatible with this browser\");
    }
    //]]>
    </script>";
    return $mapScript;
}
//-----CLAVE BUSQUEDAS-----------------
//-------------------------------------
function inputclave($content) {
	$return = "<input type=\"text\" name=\"claveBusqueda\" id=\"claveBusqueda\" value=\"\">";
	return $return;
}
//-----BOTON BUSQUEDAS-----------------
//-------------------------------------
function buttonmap($content) {
	$return = "<input type=\"hidden\" name=\"buscasonsSubmit\" id=\"buscasonsSubmit\" value=\"true\" >\n";
	$return .= "<input type=\"submit\" value=\"".bla("but_validar")."\" />\n";
	return $return;
}
//-----COORDENADAS---------------------
//-------------------------------------
//devuelve la entrada del campo latitud
function inputlat ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	if (isset($_POST['lat'])) {
    	$value = trim(stripslashes($_POST['lat']));
    	$devuelve = " post ";
	} else if (isset($att['selecionado'])) {
		$value = $att['selecionado'];
	} else { 
		$value = "";
	}
	return "<input type=\"text\" name=\"lat\" id=\"lat\" value=\"".$value."\" />";
}
//-------------------------------------
//devuelve la entrada del campo longitud
function inputlong ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	if (isset($_POST['lonx'])) {
    	$value = trim(stripslashes($_POST['lonx'])); 
	} else if (isset($att['selecionado'])) {
		$value = $att['selecionado'];
	} else { 
		$value = "";
	}
	return "<input type=\"text\" name=\"lonx\" id=\"lonx\" value=\"".$value."\" />";
}
//-----HORA----------------------------
//-------------------------------------
//devuelve la entrada del menu de seleccion horas
function selecthour ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"horas\" id=\"horas\"><option value=\"\">&nbsp;--</option>";
	for ($i=0; $i<24; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//esto sirve para anhadir un cero delante del valor i y tener horas de tipo 00, 01, 02...
	  	$estaHora = "".$i;
		if (strlen($estaHora) == 1) {
			$estaHora = "0".$estaHora;
		}
		//si esta definida la hora y coincide con la actual la marcamos como seleccionada
      	if ( (isset($_POST['horas'])) && ($_POST['horas'] == $estaHora) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $estaHora) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor de la hora en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$estaHora."\">&nbsp;".$estaHora."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion cuartos de hora
function selectcuarter ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"cuartos\" id=\"cuartos\"><option value=\"\">&nbsp;--</option>";
	//establecemos las opciones (cuartos) que contendra en menu de seleccion
	$arrayCuartos = array ("--", "00", "15", "30", "45");
	for ($i=1; $i<5; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//si esta definido el cuarto y coincide con el actual la marcamos como seleccionada
      	if ( (isset($_POST['cuartos'])) && ($_POST['cuartos'] == $arrayCuartos[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $arrayCuartos[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
	  	//anhadimos el valor del mes en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$arrayCuartos[$i]."\">&nbsp;".$arrayCuartos[$i]."&nbsp;&nbsp;</option>";
	 }
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----FECHA---------------------------
//-------------------------------------
//devuelve la entrada del menu de seleccion meses
function selectmonth ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"meses\" id=\"meses\" onchange=\"cambiaMes()\"><option value=\"\">&nbsp;--</option>";
	//establecemos las opciones (meses) que contendra en menu de seleccion
	$arrayMeses = array ("--", "Xaneiro", "Febreiro", "Marzo", "Abril", "Maio", "Xu&ntilde;o", "Xullo", "Agosto", "Setembro", "Outubro", "Novembro", "Decembro");
	for ($i=1; $i<13; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option "; 
	  	//si esta definido el mes y coincide con el actual la marcamos como seleccionada
      	if ( (isset($_POST['meses'])) && ($_POST['meses'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
	  	//anhadimos el valor del mes en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$i."\">&nbsp;".$arrayMeses[$i]."&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion dias
function selectday ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"dias\" id=\"dias\"><option value=\"\">&nbsp;--</option>";
	for ($i=1; $i<32; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	//esto sirve para anhadir un cero delante del valor i y tener horas de tipo 00, 01, 02...
	  	$esteDia = "".$i;
		if (strlen($esteDia) == 1) {
			$esteDia = "0".$esteDia;
		}
		//si esta definidao el dia y coincide con el actual lo marcamos como seleccionada
      	if ( (isset($_POST['dias'])) && ($_POST['dias'] == $esteDia) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $esteDia) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor del dia en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$esteDia."\">&nbsp;".$esteDia."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-------------------------------------
//devuelve la entrada del menu de seleccion anhos
function selectyear ($content) {
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"anhos\" id=\"anhos\" onchange=\"cambiaMes()\">";
	for ($i=0; $i<106; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
	  	$esteAnho = 2006 - $i;
		//si esta definido el anho y coincide con el actual lo marcamos como seleccionada
      	if ( (isset($_POST['anhos'])) && ($_POST['anhos'] == $esteAnho) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $esteAnho) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el valor del anho en value y text y cerramos el elemento opcion
	  	$menuHtml .= "value=\"".$esteAnho."\">&nbsp;".$esteAnho."&nbsp;&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----PROVINCIAS----------------------
//-------------------------------------
function select_provincia ($content) {

	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	if (isset($att['texto'])) {
        $texto = $att['texto'];
    } else {
        $texto = "--";
    }
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"provincias\" id=\"provincias\" onchange=\"cambiaProvincia()\">";
	//establecemos las opciones (provincias) que contendra en menu de seleccion
	global $arrayProvincias;
	$provinciaVacia = new lugar;
	$provinciaVacia ->datos($texto, "", "", "");
	$arrayProvincias[0] = $provinciaVacia;
	//recojemos la provincia correcta de los datos tomados de la base de datos
	for ($i=0; $i<5; $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
		//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
		if ( (isset($_POST['provincias'])) && ($_POST['provincias'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $i) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el identificador en value y la provincia en text y cerramos el elemento opcion
		$menuHtml .= "value=\"".$i."\">&nbsp;".$arrayProvincias[$i]->nombre()."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----COMARCAS------------------------
//-------------------------------------
function select_comaraca ($content) {
	//leemos las comarcas de el array que esta en config.php
	global $arrayComarcas;
	
	$provincia = 0;
	$comarca = 0;
	
	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	if (isset($att['texto'])) {
        $texto = $att['texto']."&nbsp;&nbsp;";
    } else {
        $texto = "--";
    }
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"comarcas\" id=\"comarcas\" onchange=\"cambiaComarca()\"><option value=\"0\">&nbsp;".$texto."</option>";
	//leemos el identificador de comarca que le corresponde en los datos recojidos de la base de datos
	
	if ( (isset($_POST['provincias'])) && ($_POST['provincias'] != 0) ) {
		$provincia = $_POST['provincias'];
	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] != 0) ) {
		$provincia = $att['selecionado'];
	}
	if ( (isset($_POST['comarcas'])) && ($_POST['comarcas'] != 0) ) {
		$comarca = $_POST['comarcas'];
	} elseif ( (isset($att['selecionado2'])) && ($att['selecionado2'] != 0) ) {
		$comarca = $att['selecionado2'];
	}
	if ($provincia != 0) {
		$base = 0;
		for ($i=1; $i<$provincia; $i++){
			$base += count ($arrayComarcas[$i]) - 1;
		}
		
		$numeroComarcas = count ($arrayComarcas[$provincia]);
		
    	for($i=1; $i<$numeroComarcas; $i++) {
			//abrimos el elemento opcion
			$menuHtml .= "<option ";
			//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
			if ($comarca == ($i+$base)) {
      			$menuHtml .= "selected=\"selected\""; 
	  		}
		//anhadimos el identificador en value y text y cerramos el elemento opcion
		$menuHtml .= "value=\"".($i+$base)."\">".$arrayComarcas[$provincia][$i]->nombre()."</option>";
		}
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----CATEGORIAS----------------------
//-------------------------------------
function select_categoria ($content) {

	//recojemos los atributos de la funcion
	$att = getattributes($content);
	
	if (isset($att['texto'])) {
        $texto = $att['texto'];
    } else {
        $texto = "--";
    }
	//abrimos el menu de seleccion
	$menuHtml = "<select name=\"categorias\" id=\"categorias\">";
	
	//recojemos de config.php las opciones (categorias) que contendra en menu de seleccion
	global $arrayCategorias;
	$arrayCategorias[0] = $texto;
	global $arrayIdcategorias;
	
	//leemos el identificador de la categoria que le corresponde en los datos recojidos de la base de datos
	for ($i=0; $i<count($arrayCategorias); $i++) {
		//abrimos el elemento opcion
		$menuHtml .= "<option ";
		//si esta definido el identificador y coincide con la opcion actual, la marcamos como seleccionada
		if ( (isset($_POST['categorias'])) && ($_POST['categorias'] == $arrayIdcategorias[$i]) ) {
      		$menuHtml .= "selected=\"selected\""; 
	  	} elseif ( (isset($att['selecionado'])) && ($att['selecionado'] == $arrayIdcategorias[$i]) ) {
      			$menuHtml .= "selected=\"selected\""; 
	  	}
		//anhadimos el identificador en value y la categoria en text y cerramos el elemento opcion
		$menuHtml .= "value=\"".$arrayIdcategorias[$i]."\">&nbsp;".$arrayCategorias[$i]."&nbsp;&nbsp;</option>";
	}
	//cerramos el menu de seleccion
	$menuHtml .= "</select>";
	return $menuHtml;
}
//-----DETALLES TECNICOS---------------
//-------------------------------------
//devuelve la entrada de texto detalles tecnicos
function input_detalles () {
//returns the textarea for commentor's message
if (isset($_POST['detallesTecnicos'])) { 
      $value = trim(stripslashes($_POST['detallesTecnicos'])); 
} else { $value = ""; }
return "<textarea name=\"detallesTecnicos\" id=\"detallesTecnicos\">".$value."</textarea>";
}
//-----ENTRADA DE IMAXES---------------
//-------------------------------------
function input_img ($content) {
	//devolve o campo de entrada para a imaxe
	global $currentid;
	global $postings;
	if ($postings[$currentid]['comment_size'] > 0) {
    	return "<input type=\"file\" name=\"commentimg\" accept=\"image/*\" id=\"commentimg\" />";
	} else {
    	return "<p>Non est&aacute; permitido introducir imaxes</p>";
	}
}
//-----MAPA FORMULARIO-----------------
//-------------------------------------
function form_map($content) {
	//recojemos los atributos de la etiqueta, si estan definidos se los pasamos a sus correspondientes variables si no tomamos valores por defecto
	//ancho, alto, lat, long, zoom, clase, xml (buscasons)
	$att = getattributes($content);
	
	//ATRIBUTODS DE LA ETIQUETA-------------------
	if (!isset($att['ancho'])) {
        $ancho = 550;
    } else {
        $ancho = $att['ancho'];
    }
    if (!isset($att['alto'])) {
        $alto = 450;
    } else {
        $alto = $att['alto'];
    }
    //almacenamos en una variable la etiqueta html apropiada
    $mapDiv = "<div id=\"formMap\" name=\"formMap\" style=\"width: ".$ancho."px; height: ".$alto."px\"></div>\n";
    
    //ATRIBUTODS DEL GOOHGLEMAP-------------------
    if (!isset($att['lat'])) {
        $lat = -8.72687816619873;
    } else {
        $lat = $att['lat'];
    }
    if (!isset($att['lonx'])) {
        $long = 42.23302960453305;
    } else {
        $long = $att['lonx'];
    }
	if (!isset($att['zoom'])) {
        $zoom = 8;
    } else {
        $zoom = $att['zoom'];
    }
	if (!isset($att['clase'])) {
        $clase = "G_MAP_TYPE";
    } else {
    	if ($att['clase'] == "g_hybrid_type") {
        	$clase = "G_HYBRID_TYPE";
    	} elseif ($att['clase'] == "g_satellite_type") {
        	$clase = "G_SATELLITE_TYPE";
    	} else {
        	$clase = "G_MAP_TYPE";
    	}
    }
    
    if (isset($_POST['commentpreview'])) {
    	if ($_POST['commentname'] != "") {
    	$long = trim(stripslashes($_POST['lonx'])); 
    	}
    	if ($_POST['lat'] != "") {
    	$lat = trim(stripslashes($_POST['lat']));
    	}
    	$message = trim(stripslashes($_POST['commentmessage'])); 
    	if ($_POST['commentname'] == "") {
    		$autor = "Anonymous";
    	} else { 
    		$autor = htmlentities(strip_tags($_POST['commentname']), ENT_QUOTES, "UTF-8");
    	}
    	$texto = "<div style='width:200px'>";
		//capa en la que situar el flashplayer
		$texto .= "<div id='player' style='margin-bottom: 5px;'></div>";		
		//contenido del comentario
		$texto .= "<span class='windowText'>".$message."</span><br>";
		$texto .= "<b class='windowBlack'>".$autor."</b>&nbsp;&nbsp;&nbsp;";
    	$web = strip_tags($_POST['commentweb']);
    	$webName = substr($web, 7);
    	if (strlen($webName)>4) {
			$texto .= "<a class='window' target='_blank' href='".$web."'>".$webName."</a>";
		}
    	$texto .= "<br><span class='windowRight'><b>as \" + fecha.getHours() + \":\" + fecha.getMinutes() + \"";
    	$texto .= " do \" + fecha.getDate() + \"-\" + fecha.getMonth() + \"-\" + (parseFloat(fecha.getYear()) + 1900) + \"</b></span><br>";
		$texto .= "</div>";
		
		$marker = "function createSimpleMarker(point, html) {
  		var marker = new GMarker(point);
  		GEvent.addListener(marker, 'click', function() {
		marker.openInfoWindowHtml(html);
  		});
  		return marker;
		}
		html = \"".$texto."\";
		
		// Add 1 simple markers in the map viewport. coordenadas
		var point = new GPoint(".$lat.",".$long.");
  		var marker = createSimpleMarker(point, html);
  		mapformulario.addOverlay(marker);
  		marker.openInfoWindowHtml(html);";
    } else {
    	$marker ="";
    }
    //almacenamos la fecha y la hora de envio en una variable javascript para mostrarlas en la ventana del marcador
    $date = "fecha = new Date();";
    //almacenamos en una variable el fragmento de script que genera el mapa
    $map = "// create the map
      var mapformulario = new GMap(document.getElementById(\"formMap\"));
      mapformulario.addControl(new GLargeMapControl());
      mapformulario.addControl(new GMapTypeControl());
      mapformulario.centerAndZoom(new GPoint(".$lat.",".$long."), ".$zoom.");
      mapformulario.setMapType(".$clase.");";
      
    //finalmente devolvemos la etiqueta y el script completo que genera el mapa
	$mapScript = $mapDiv."
	<script type=\"text/javascript\">
    //<![CDATA[
    ".$date."
    if (GBrowserIsCompatible()) {
    	".$map."
    	GEvent.addListener(mapformulario, \"click\", function(overlay, point){
    		mapformulario.clearOverlays();
    		if (point) {
    			mapformulario.addOverlay(new GMarker(point));
    			mapformulario.recenterOrPanToLatLng(point);
    			document.forms.formulario.lat.value = point.x;
    			document.forms.formulario.lonx.value = point.y;
    		}
    	});
    	".$marker."
    } else {
      alert(\"Sorry, the Google Maps API is not compatible with this browser\");
    }
    //]]>
    </script>";
    return $mapScript;
}
//-------------------------------------
//--------------------------------------------------------------------
//  COMMENTING TAGS
//-------------------------------------------------------------------- 

//-------------------------------------

function area_comments2 ($content) {
//only parse this area if comment stuff is to be shown
global $settings;
global $currentid;
global $postings;
global $tempfilename;
global $tempimgname;

$tempfilename = "";
$tempimgname = "";
$return = "";
$freshfile = false;
$freshimg = false;

//antes de amosar cousas, temos que procesar os datos do formulario ou salvar na base de datos e todo iso...

//revisar se se subiu un novo arquivo sonoro e facer unha variable de metadatos mais directa
if ((isset($_FILES['commentfile'])) 
    AND ($_FILES['commentfile']['error'] == "0")) {
    $freshfile = $_FILES['commentfile'];
}
//revisar se se subiu unha nova imaxe e facer unha variable de metadatos mais directa
if ((isset($_FILES['commentimg'])) 
    AND ($_FILES['commentimg']['error'] == "0")) {
    $freshimg = $_FILES['commentimg'];
}

//Estamos simplemente previsualizando?
if (isset($_POST['commentpreview'])) {
	if ($freshimg != false){
	}
    //engadir http:// as urls previsualizadas
    if (substr($_POST['commentweb'],0,4) != "http") {
        $_POST['commentweb'] = "http://".$_POST['commentweb'];
    }
    //procesamos os arquivos sonoros
    //------------------------------
    if (($freshfile != false)
        AND (checksuffix($freshfile['name']))
        AND ($freshfile['size'] <= $postings[$currentid]['comment_size'])) 
    {
       	$tempfilename = freshaudioname(strrchr($freshfile['name'], "."), "temp");
       	//poemos o arquivo subido na carpeta desexada
       	move_uploaded_file($freshfile['tmp_name'], 
       		$GLOBALS['audiopath'].$tempfilename) 
       	OR die ("<p>Error!</p>");
       	//e cambiamolo chmod
       	chmod ($GLOBALS['audiopath'].$tempfilename, 0777);
    } else {
        //se estamos previsualizando de novo e temos que poer os arquivos suvidos anteriormente en outro preview
        if (isset($_POST['filethrough'])) {
            $tempfilename = $_POST['filethrough'];
        }
        //se o tamao e maior do permitido avisamos
        if ($freshfile['size'] > $postings[$currentid]['comment_size']) {
        	die("<p>Sentimolo! O arquivo sonoro &eacute; demasiado grande.<p>");
        }
    }
    //procesamos as imaxes
    //--------------------
    if (($freshimg != false)
        AND (checkimgsuffix($freshimg['name']))
        AND ($freshimg['size'] <= $postings[$currentid]['comment_size'])) 
    {
       	$tempimgname = freshimgname(strrchr($freshimg['name'], "."), "temp");
       	//poemos o arquivo subido na carpeta desexada
       	move_uploaded_file($freshimg['tmp_name'], 
       		$GLOBALS['uploadpath']."imaxes/".$tempimgname) 
       	OR die ("<p>Error!</p>");
       	//e cambiamolo chmod
       	chmod ($GLOBALS['uploadpath']."imaxes/".$tempimgname, 0777);
    } else {
        //se estamos previsualizando de novo e temos que poer os arquivos suvidos anteriormente en outro preview
        if (isset($_POST['imgthrough'])) {
            $tempimgname = $_POST['imgthrough'];
        }
        //se o tamao e maior do permitido avisamos
        if ($freshimg['size'] > $postings[$currentid]['comment_size']) {
        	$return .= "<br>demasiado grande<br>";
        	die("<p>Sentimolo! O arquivo sonoro &eacute; demasiado grande.<p>");
        }
    }
}

//Carai, estamos embiando? A cousa ponse seria!
if (isset($_POST['commentsubmit'])) { 

    //in dubio contra audio
    $audioexists = false;
    //in dubio contra imaxe
    $imgexists = false;

	//fai un monton de cousas, se hai un arquivo sonoro subido
    //--------------------------------------------------------
    if (($freshfile != false)
            AND (checksuffix($freshfile['name']))) {
        $filename = freshaudioname (strrchr($freshfile['name'], "."), "comment"); 
    
        //poemos o arquivo subido na carpeta desexada
        move_uploaded_file($freshfile['tmp_name'], $GLOBALS['audiopath'].$filename) 
            OR die ("<p>Error!</p>");
        $audioexists = true;

    //but we can take the previewed audio file, too...
    } else {
        if (isset($_POST['filethrough'])) {
            //rename audio file and get audio meta data
            $tempfilename = $_POST['filethrough'];
            $filename = freshaudioname (strrchr($tempfilename, "."), "comment"); 
            rename($GLOBALS['audiopath'].$tempfilename, $GLOBALS['audiopath'].$filename) 
                OR die ("<p>Error!</p>");
            $audioexists = true;
        }
    }
    //fai un monton de cousas, se hai unha imaxe subida
    //-------------------------------------------------
    if (($freshimg != false)
            AND (checkimgsuffix($freshimg['name']))) {
        $imgname = freshimgname (strrchr($freshimg['name'], "."), "comment"); 
    
        //poemos o arquivo subido na carpeta desexada
        move_uploaded_file($freshimg['tmp_name'], $GLOBALS['uploadpath']."imaxes/".$imgname) 
            OR die ("<p>Error!</p>");
        $imgexists = true;

    //but we can take the previewed audio file, too...
    } else {
        if (isset($_POST['imgthrough'])) {
            //rename audio file and get audio meta data
            $tempimgname = $_POST['imgthrough'];
            $imgname = freshimgname (strrchr($tempimgname, "."), "comment"); 
            rename($GLOBALS['uploadpath']."imaxes/".$tempimgname."", $GLOBALS['uploadpath']."imaxes/".$imgname) 
                OR die ("<p>Error!</p>");
            $imgexists = true;
        }
    }

    //there is an audio file?
    if ($audioexists) {
        //get metadata from getid3-class
        $id3 = getid3data($GLOBALS['audiopath'].$filename,"front");
    } else {
        //make empty values for audio data (cause we dont have audio data)
        $filename = "";
        $id3['duration'] = "0:00";
        $id3['size'] = 0; 
    }

    //prepare non-audio data
    if ($_POST['commentname'] == "") { $name = "Anonymous"; } 
        else { $name = htmlentities(strip_tags($_POST['commentname']), ENT_QUOTES, "UTF-8"); }    
    $mail = strip_tags($_POST['commentmail']);
    $web = strip_tags($_POST['commentweb']);    
    $ip = $_SERVER['REMOTE_ADDR'];
    $message_input = change_entities($_POST['commentmessage']);
    $message_html = trim(no_amp(makehtml(htmlentities($_POST['commentmessage'], ENT_QUOTES, "UTF-8"))));
    $detalles = change_entities($_POST['detallesTecnicos']);
	$latitud = $_POST['lat'];
    $longitud = $_POST['lonx'];
    $hora = $_POST['horas'];
    $cuarto = $_POST['cuartos'];
    $hora_rec = $hora.":".$cuarto;
    $dia_rec = $_POST['dias'];
    $mes_rec = $_POST['meses'];
    $anho_rec = $_POST['anhos'];
    $provincia = $_POST['provincias'];
    $comarca = $_POST['comarcas'];
    $categoria = $_POST['categorias'];
    $fecha_rec = $anho_rec."-".$mes_rec."-".$dia_rec;
    $message_html .= "latitud: ".$latitud."\nlongitud: ".$longitud."\nHora: ".$hora_rec."\nfecha: ".$fecha_rec;
    //write data into database (doesn't matter, with or without audio)
    $dosql = "INSERT INTO {$GLOBALS['prefix']}lb_comments
             (posting_id, posted, name, mail, web, ip, message_input, message_html,
            audio_file, audio_type, audio_length, audio_size, img_file, longitud, latitud, hora_rec, data_rec, idprovincia, idcomarca, idcategoria, validado, detalles)
            VALUES
            ('".$currentid."', '".date('Y-m-d H:i:s')."', '".$name."', '".$mail."', '".$web."', '".$ip."', 
            '".$message_input."', '".$message_html."', '".$filename."', '".type_suffix($filename)."', 
            '".getseconds($id3['duration'])."', '".$id3['size']."', '".$imgname."', '".$longitud."', '".$latitud."',
            '".$hora_rec."', '".$fecha_rec."', '".$provincia."', '".$comarca."', '".$categoria."', '1', '".$detalles."');";
    $GLOBALS['lbdata']->Execute($dosql);
    
    //sending an email to author of the posting
    notify ($postings[$currentid], $name, $mail, $web, $message_html);
    
    //looking for orphaned comments
    deleteorphans();

    $return .= "<p>O seu son foi engadido correctamente a base de datos,<br>nestes intres se atopa en fase de validacion.<br>Sera incluido no arquivo transcurridos uns dias.<p>";
}
//submitting actions are finished. thank you for your attention.

//do we show comments at all?
if ((isset($_GET['id'])) AND ($postings[$currentid]['comment_on'] == 1)) {
    $return .= "<div id=\"comments\">\n";
    $return .= fullparse (stripcontainer($content));
    $return .= "\n</div>";
} else { $return .= ""; }

return $return;
}
//-------------------------------------
//-------------------------------------
function area_makecomment2 ($content) {
//returns the form-tag with some hidden fields
global $settings;
global $currentid;
global $postings;
global $tempfilename;
global $tempimgname;

if (!isset($_POST['commentsubmit'])) {
    $return = "<form id=\"formulario\" name=\"formulario\" method=\"post\" 
               action=\"index.php?id=".$currentid."#comments\" 
               enctype=\"multipart/form-data\">\n";
    //Esta frase incluye el contenido de area_makecoment en el index de las templates
    $return .= fullparse (stripcontainer($content));
    
     //se foi subido un arquiivo sonoro para previsualizar, envia a ruta completa de acceso!
    if ((isset($_POST['filethrough'])) OR 
            ((isset($_POST['commentpreview'])) AND 
            (isset($_FILES['commentfile'])) AND
            ($_FILES['commentfile']['error'] == "0"))) {
        $return .= "<input type=\"hidden\" ";
        $return .= "name=\"filethrough\" value=\"".$tempfilename."\" />\n\n";
    }
    //se foi subida subido unha imaxe para previsualizar, envia a ruta completa de acceso!
    if ((isset($_POST['imgthrough'])) OR 
            ((isset($_POST['commentpreview'])) AND 
            (isset($_FILES['commentimg'])) AND
            ($_FILES['commentimg']['error'] == "0"))) {
        $return .= "<input type=\"hidden\" ";
        $return .= "name=\"imgthrough\" value=\"".$tempimgname."\" />\n\n";
    }
    $return .= "</form>";
} else { $return = ""; }

return $return;
}
//-------------------------------------
//-------------------------------------
function loop_coments2 ($content) {
//show a loop of all comments of a certain posting
global $settings;
global $currentid;
global $currentcomment;
global $comments;
global $tempfilename;
global $allcomm;
global $audio_player_settings;

$att = getattributes($content);
if (isset($att['global'])) { $allcomm = $att['global']; } 
else { $allcomm = "false"; }
if (isset($att['number'])) { $number = $att['number']; } 
else { $number = 5; }


$content = trim(stripcontainer($content));
$return = "";

if (isset($_GET['cat'])) {
	$condiciones = "AND idcategoria = '".getcategoryidshort($_GET['cat'])."'";
} else {
    $condiciones = "";
}

//do we get the comments of the current posting?
if ($allcomm == "false") {

    //getting some data from comments-table
    $dosql = "SELECT * FROM ".$GLOBALS['prefix']."lb_comments 
              WHERE posting_id = ".$currentid." AND validado = '2'".$condiciones." ORDER BY posted ASC;";          
    $result = $GLOBALS['lbdata']->Execute($dosql);
    $comments = $result->GetArray();
    if ($comments == false) {
        $numbcom = 0;
    } else { 
        $numbcom = count($comments);
    }    

    //only here for previewing?
    if (isset($_POST['commentpreview'])) {

        if ($tempfilename != "") {
            $id3 = getid3data($GLOBALS['audiopath'].$tempfilename,"front");
            $tempfilesize = $id3['size']; 
            $tempfilelength = getseconds($id3['duration']);
        } else { 
            $tempfilesize = "0"; 
            $tempfilelength = "0"; 
        }

        $comments[$numbcom]['id'] = 0;
        $comments[$numbcom]['posting_id'] = $currentid;
        $comments[$numbcom]['posted'] = date('Y-m-d H:i:s');
        if ($_POST['commentname'] == "") { 
            $comments[$numbcom]['name'] = "Anonymus"; 
        } else { 
            $comments[$numbcom]['name'] = 
            htmlentities(strip_tags($_POST['commentname']), 
            ENT_QUOTES, "UTF-8"); 
        }
        $comments[$numbcom]['mail'] = strip_tags($_POST['commentmail']);
        $comments[$numbcom]['web'] = strip_tags($_POST['commentweb']);
    
        $comments[$numbcom]['ip'] = $_SERVER['REMOTE_ADDR'];
        $comments[$numbcom]['message_input'] = $_POST['commentmessage'];
        $comments[$numbcom]['message_html'] = 
            "<p>[PREVIEW]</p> " . no_amp(makehtml(htmlentities($_POST['commentmessage'], ENT_QUOTES, "UTF-8")));
        $comments[$numbcom]['audio_file'] = $tempfilename;
        $comments[$numbcom]['audio_size'] = $tempfilesize;
        $comments[$numbcom]['audio_length'] = $tempfilelength;
        $comments[$numbcom]['audio_type'] = type_suffix($tempfilename);
    }


//okay, we show a list af ALL recent comments
} else {

$dosql = "SELECT * FROM ".$GLOBALS['prefix']."lb_comments WHERE validado = '2'".$condiciones." ORDER BY posted DESC";
$result = $GLOBALS['lbdata']->SelectLimit($dosql,$number,0);
$comments = $result->GetArray();
if ($comments == false) { $comments = array(); }

}

//para cada comentario gardamos a direccion do seu arquivo sonoro nunha variable
$i = 0;
$audio ="";
foreach ($comments as $thiscomment) {
   $currentcomment = $i;
   $audioActual = "audio/" . $comments[$currentcomment]['audio_file'];
   $audio .= rawurlencode($audioActual)."%2C";
   $i += 1;
}
//html-code para el flash player
$return .= "<div id=\"audioPlayer\" name=\"audioPlayer\">";
$return .= "<object type=\"application/x-shockwave-flash\" ";
$return .= "data=\"loudblog/custom/templates/". $settings['template'];
$return .= "/player.swf\" ";
$return .= "width=\"190\" height=\"16\">\n";
$return .= "<param name=\"movie\" value=\"loudblog/custom/templates/". $settings['template'];
$return .= "/player.swf\"/>\n";
$return .= "<param name=\"FlashVars\" value=\"playerID=1&amp;".$audio_player_settings."soundFile=".$audio."\" />\n";
$return .= "<param name=\"quality\" value=\"high\" />\n";
$return .= "<param name=\"menu\" value=\"false\" />\n";
$return .= "<param name=\"wmode\" value=\"transparent\" />\n";
$return .= "</object>\n";
$return .= "</div>";
//show every comment, one by one
$i = 0;
foreach ($comments as $thiscomment) {
   $currentcomment = $i;
   if ($allcomm == "false") {
       $return .= "<span id=\"com".$thiscomment['id']."\"></span>";
   }
   $return .= fullparse($content);
   $i += 1;
}
return $return;
}

//-------------------------------------
//-------------------------------------
function link_map ($content) {
//generates the permalink for the current comment
global $settings;
global $comments;
global $currentcomment;
$return =  "<a href=\"javascript:myclick(".$comments[$currentcomment]['id'].")\">";
$return .= fullparse (stripcontainer ($content));
$return .= "</a>\n"; 
return $return;
}

//-------------------------------------
//--------------------------------------------------------------------
//  DB tags
//-------------------------------------------------------------------- 

//-------------------------------------

function countvalidados ($request) {
//count rows of a certain table in database

$dosql = "SELECT COUNT(*) FROM ".$GLOBALS['prefix'].$request."WERE validado = 1";
$row = $GLOBALS['lbdata']->GetArray($dosql);
return $row[0]['COUNT(*)'];
}


//--------------------------------------------------------------------
//  CONDITIONAL TAGS (THOSE WITH "IF")
//-------------------------------------------------------------------- 
//-------------------------------------
function if_id ($content) {
	//parse content only if a (certain) category or no category is being shown

	$att = getattributes($content);
	$return = "";

	//checking the url for a category list request
	if ((isset($_GET['id'])) && ($_GET['id']==$att['identificador'])) {
        $return = fullparse (stripcontainer($content));
    }
return trim($return);
}
function if_notid ($content) {
	//parse content only if a (certain) category or no category is being shown

	$att = getattributes($content);
	$return = "";

	//checking the url for a category list request
	if ((isset($_GET['id'])) && ($_GET['id']==$att['identificador'])) {
        $return = "";
    } else {
    	$return = fullparse (stripcontainer($content));
    }
return trim($return);
}
//-------------------------------------
//--------------------------------------------------------------------
//  LANGUAGE TAGS
//-------------------------------------------------------------------- 
//-------------------------------------
function bla2 ($content) {
	global $settings;
	global $lenguage;
	$att = getattributes($content);
	if (isset($lenguage)) {
        $texto = $lenguage;
	} else {
		$texto = "galego";
	}
	//makes translating into different languages easy!
	$lang = array();
	@include_once($GLOBALS['path']."/loudblog/custom/templates/".$settings['template']."/".$texto.".php");
	
	if (isset($lang[$att['texto']])) { 
		return $lang[$att['texto']]; 
	} else { 
		return $att['texto'];
	}
}
?>