
CREATE TABLE lb_comments (
  id INTEGER PRIMARY KEY AUTO_INCREMENT,
  posting_id INTEGER(11),
  posted datetime,
  name VARCHAR(64) ,
  mail VARCHAR(128) ,
  web VARCHAR(128) ,
  ip VARCHAR(32) ,
  message_input text,
  message_html text,
  detalles text,
  audio_file VARCHAR(255) ,
  audio_type INTEGER(4) ,
  audio_length INTEGER(8) ,
  audio_size INTEGER(11) ,
  img_file VARCHAR(255) ,
  longitud double default NULL,
  latitud double default NULL,
  hora_rec time default NULL,
  data_rec date default NULL,
  idcomarca int(11) NOT NULL default '0',
  idprovincia enum('0','1','2','3','4') NOT NULL default '0',
  idcategoria enum('0','1','2','3','4','5') NOT NULL default '0',
  validado enum('0','1','2') NOT NULL default '0',
)

INSERT INTO `00lb_settings` ( `name` , `value` )
VALUES ('googleMapKey', '');

INSERT INTO `00lb_settings` ( `name` , `value` )
VALUES ('img_path', '');

INSERT INTO `00lb_settings` ( `name` , `value` )
VALUES ('img_prefix', '');

CREATE TABLE lb_msg (
  id INTEGER PRIMARY KEY AUTO_INCREMENT,
  msg_envio_son text,
)

CREATE TABLE lb_provincias (
 id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
 nombre VARCHAR (64) NOT NULL,
 latitud DOUBLE NOT NULL,
 longitud DOUBLE NOT NULL,
 zoom ENUM('0','1','2','3','4','5','6','7','8','9') NOT NULL default '0',
 PRIMARY KEY (id)
)

CREATE TABLE lb_comarcas (
 id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
 nombre VARCHAR (64) NOT NULL,
 id_provincia INTEGER UNSIGNED NOT NULL,
 latitud DOUBLE NOT NULL,
 longitud DOUBLE NOT NULL,
 zoom ENUM('0','1','2','3','4','5','6','7','8','9') NOT NULL default '0',
 PRIMARY KEY (id),
 INDEX p_FK1 (id_provincia),
 FOREIGN KEY (id_provincia)
 	REFERENCES lb_provincias(id)
)
 


